MuleTransport.IMAP (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleTransport.IMAP class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleTransport.IMAP

    java.lang.Object
      org.apache.axis.client.Transport
          org.mule.transport.soap.axis.extensions.MuleTransport
              org.mule.transport.soap.axis.extensions.MuleTransport.IMAP

Enclosing class:
  MuleTransport

    public static class MuleTransport.IMAP

extends MuleTransport

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transport.soap.axis.extensions.MuleTransport
`MuleTransport.HTTP, MuleTransport.HTTPS, MuleTransport.IMAP, MuleTransport.IMAPS, MuleTransport.JMS, MuleTransport.POP3, MuleTransport.POP3S, MuleTransport.SERVLET, MuleTransport.SMTP, MuleTransport.SMTPS, MuleTransport.SSL, MuleTransport.TCP, MuleTransport.VM, MuleTransport.XMPP`

Field Summary

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`MuleTransport.IMAP()`

Method Summary

Methods inherited from class org.mule.transport.soap.axis.extensions.MuleTransport
`getTransportClass, isTransportSupported`

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, processReturnedMessageContext, setTransportName, setupMessageContext, setupMessageContextImpl, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleTransport.IMAP

    public MuleTransport.IMAP()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.